/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package MatlResMgmt.MaterialsRequest;

import java.math.BigDecimal;
//import java.util.*;
import FacilityMgmt.FacilityUse.FacilityUse;
//import MatlResMgmt.ServiceFromSupplier.*;    // ResourceUsage
import MatlResMgmt.RFQ.RFQDetail;

/** 
 * @author TogetherSoft
 * @stereotype mi-detail */
public class MaterialsRequestDetail {
    public void allocateFromQtyOnHand() {
    }

    public BigDecimal estimateCost() {
        return new BigDecimal(0);
    }

    public boolean isQtyAvailable(int qtyParam) {
        return true;
    }

    public boolean isFulfilled() {
        return true;
    }

    public void listPotentialSuppliers() {
    }

    private int qty;
    private int intervalRequired;
    private BigDecimal costEstimated;

    /**
     *@clientCardinality 1
     *@supplierCardinality 0..*
     */
    private FacilityUse lnkUnnamed2;

    /**
     *@clientCardinality 0..*
     * @supplierCardinality 0..*
     */
    private MatlResMgmt.MaterialResource.MatlResBeingOrdered lnkUnnamed6;

    /**
     *@supplierCardinality 0..*
     *@clientCardinality 1
     */
    private RFQDetail lnkUnnamed;

    /**
     * @supplierCardinality 0..1
     * @clientCardinality 0..*
     */
    private MatlResMgmt.MaterialResource.MatlResQtyDesc lnkUnnamed3;
}


